DMAM_FREE_NONCOHEREN(9)

NAME
dmam_free_noncoherent - Managed dma_free_noncoherent

SYNOPSIS

void dmam_free_noncoherent(struct device * dev, size_t size, void * vaddr, dma_addr_t dma_handle);

ARGUMENTS

dev
    Device to free noncoherent memory for

size
    Size of allocation

vaddr
    Virtual address of the memory to free

dma_handle
    DMA handle of the memory to free

DESCRIPTION

Managed dma_free_noncoherent.

COPYRIGHT